Bug 1031612 - [rhevm-reports] - BR18 - the numbers of OSs are incorrect
[rhevm-reports] - BR18 - the numbers of OSs are incorrect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.4.0
Assigned To: Shirly Radco
Barak Dagan
infra
: ZStream
: 1045869 1045870 (view as bug list)
Depends On:
Blocks: 3.3snap4 1059268
  Show dependency treegraph
 
Reported: 2013-11-18 06:46 EST by Pavel Stehlik
Modified: 2016-02-10 14:27 EST (History)
11 users (show)

See Also:
Fixed In Version: av3 - rhevm-reports-3.4.0-1.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
rhevm-reports now correctly reports the operating system versions on actively running virtual machine.
Story Points: ---
Clone Of:
: 1059268 (view as bug list)
Environment:
Last Closed: 2014-06-09 11:26:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
active_vms_by_os_br18.pdf (94.48 KB, application/x-download)
2013-11-18 06:46 EST, Pavel Stehlik
no flags Details
images of the report (91.35 KB, image/png)
2013-12-18 08:42 EST, Barak Dagan
no flags Details
images of the report (98.63 KB, image/png)
2013-12-19 08:47 EST, Barak Dagan
no flags Details
br18 18.3.2014 (51.54 KB, image/png)
2014-03-18 12:43 EDT, Barak Dagan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21857 None None None Never
oVirt gerrit 21860 None None None Never
oVirt gerrit 22820 None None None Never
oVirt gerrit 22821 None None None Never
oVirt gerrit 24981 None None None Never

  None (edit)
Description Pavel Stehlik 2013-11-18 06:46:19 EST
Created attachment 825560 [details]
active_vms_by_os_br18.pdf

Description of problem:
 See att PDF file. I've DC/Cl with 7VMs, where 1x RH_64b, 1x win7_64b 1x SLES11.
From report is obvious, that it reports wrongly:
1) RHEL vs other Linux OSes (also RHEL vs Win OSs)
2) VMs with known OS vs Unknown OS

The RHEL VM is up & running (with OS installed) for ~18hrs now.


Version-Release number of selected component (if applicable):
is23

How reproducible:


Steps to Reproduce:
1. have VM with RHEL OS set
2. from DC or Cluster tab show report BR18
3.

Actual results:
see att

Expected results:


Additional info:
Comment 1 Yaniv Lavi 2013-11-18 09:37:37 EST
This shows number of vm that were up and relative to their uptime.
So since it's a avg, this can make sense. What is the test scenario?


Yaniv
Comment 6 Yaniv Lavi 2013-12-02 18:08:34 EST
Do we want this fixed for 3.2.z?


yaniv
Comment 7 Barak Dagan 2013-12-18 08:42:23 EST
Created attachment 838334 [details]
images of the report

In tha attached image, can be seen - 
1) the windows version is not specified in the legend
2) 5 out of 8 VMs are not installed and configured as other OS, but from the graph it can be understood that most vms have known OS.
Comment 8 Barak Dagan 2013-12-18 08:44:24 EST
is27, rhevm-reports-3.3.0-25.el6ev.noarch.
Is it a new one, or re-opened if the same one ?
Comment 9 Barak Dagan 2013-12-19 08:46:37 EST
Verification failed: is27, rhevm-reports-3.3.0-25.el6ev.noarch.

Can be seen that all 8 VMs have known OS, while actually all of the "old" ones, connected to pther OS:


"select vm_name, vm_os, vm_type, vm_creation_date from vms;"
   vm_name   | vm_os | vm_type |      vm_creation_date      
-------------+-------+---------+----------------------------
 rhel_65_x64 |    19 |       1 | 2013-12-19 15:31:45.706+02
 w7          |    11 |       1 | 2013-12-19 15:35:34.725+02
 VM-0        |     0 |       0 | 2013-12-17 20:07:24.488+02
 suse11      |  1193 |       1 | 2013-12-19 15:39:25.252+02
 VM-1        |     0 |       0 | 2013-12-17 20:07:41.045+02
 VM-2        |     0 |       0 | 2013-12-17 20:07:54.731+02
 VM-3        |     0 |       0 | 2013-12-17 20:08:07.967+02
 VM-4        |     0 |       0 | 2013-12-17 20:08:21.139+02
Comment 10 Barak Dagan 2013-12-19 08:47:24 EST
Created attachment 838988 [details]
images of the report
Comment 11 Yaniv Lavi 2013-12-22 12:02:49 EST
Please add z stream flag.



Yaniv
Comment 12 Yaniv Lavi 2013-12-22 12:09:48 EST
*** Bug 1045869 has been marked as a duplicate of this bug. ***
Comment 13 Yaniv Lavi 2013-12-22 12:14:25 EST
*** Bug 1045870 has been marked as a duplicate of this bug. ***
Comment 18 Barak Dagan 2014-03-18 12:42:06 EDT
Verification failed o av3.

Can be seen that there are 8 vms of different types:
2 rhels, suse, ubuntu, 2 wins, linux, other

vm_name | vm_os | vm_type |      vm_creation_date      
---------+-------+---------+----------------------------
 vm0     |    18 |       1 | 2014-03-18 15:10:46.468+02
 vm1     |    19 |       1 | 2014-03-18 15:11:37.266+02
 vm2     |  1193 |       1 | 2014-03-18 15:12:13.181+02
 vm3     |  1252 |       1 | 2014-03-18 15:12:45.885+02
 vm4     |    10 |       1 | 2014-03-18 15:13:20.822+02
 vm5     |    16 |       1 | 2014-03-18 15:13:52.887+02
 vm6     |     5 |       1 | 2014-03-18 15:14:21.027+02
 vm7     |     0 |       1 | 2014-03-18 15:14:38.057+02

but in the graph there are two unknown groups 1 & 7.
Comment 19 Barak Dagan 2014-03-18 12:43:01 EDT
Created attachment 876037 [details]
br18 18.3.2014
Comment 20 Shirly Radco 2014-03-31 06:10:52 EDT
After reviewing the report the number of OS types is correct in all of the report tables.

The confusion is because the reports display only "Active" vms except for the 
"vms known Vs. Unknown" table that displays also Inactive vms.

Also, if different OS types has same quantity the graph only display one of them because the merge to the same graph line.
Comment 21 Shirly Radco 2014-04-01 04:49:04 EDT
This bug was reopened by mistake. The data is correct.
Comment 22 Barak Dagan 2014-04-03 10:43:10 EDT
Verified on av4.1

rhevm-3.4.0-0.10.beta2.el6ev.noarch
rhevm-dwh-3.4.0-6.el6ev.noarch
rhevm-reports-3.4.0-2.el6ev.noarch
jasperreports-server-pro-5.5.0-9.el6ev.noarch

Verification excluded https://bugzilla.redhat.com/show_bug.cgi?id=1083636.
After discussion with DEV, decided to leave it for 3.5, Dev claims that table comes to state the credibility of the other and PMs are aware of it.
Comment 23 errata-xmlrpc 2014-06-09 11:26:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0602.html

Note You need to log in before you can comment on or make changes to this bug.